PO4A-TRANSLATE.1P(1)

NOME
po4a-translate - converte un file PO in un documento nel formato originario

SINTASSI
po4a-translate -f formato -m originale.doc -p XX.po -l XX.doc

(XX.doc è l'uscita, tutti gli altri sono ingressi)

DESCRIZIONE
L'obiettivo del progetto po4a (PO per tutto) è di facilitare le traduzioni (e cosa più interessante, la manutenzione delle traduzioni) usando gli strumenti associati a gettext in aree inaspettate come la documentazione.

Il programma po4a-translate si occupa di riconvertire la traduzione (che si trova in un file PO) nel formato d'origine. Il file PO fornito deve essere la traduzione del file POT prodotto da po4a-gettextize(1).

OPZIONI

-f, --format
    Formato del documento in questione. L'opzione --help-format mostra l'elenco dei formati disponibili.

-a, --addendum
    Aggiunge un file al documento risultante; utile per inserire, ad esempio, il nome del traduttore e altre informazioni sulla traduzione. La prima riga del file da inserire deve contenere l'header PO4A, che indica dove aggiungere il file; vedere anche la sezione Come si aggiunge del testo extra in po4a(7).

-A, --addendum-charset
    Set di caratteri degli addenda. Tutti gli addenda devono usare la stessa codifica.

-m, --master
    File contenente il documento originale da tradurre.

-M, --master-charset
    Set di caratteri del file contenente il documento da tradurre.

-l, --localized
    File su cui scrivere il documento tradotto.

-L, --localized-charset
    Set di caratteri del file contenente il documento tradotto.

-p, --po
    File da cui leggere il catalogo messaggi.

-o, --option
    Opzioni extra da passare al plugin di formato. Vedere la documentazione per ogni plugin per ulteriori informazioni sulle opzioni valide e sul loro significato. Per esempio si può passare "-o tablecells" all'analizzatore AsciiDoc mentre l'analizzatore di testo semplice accetta "-o tabs=split".

-k, --keep
    Minima percentuale di traduzione richiesta affinché il file generato sia conservato e scritto su disco. Il valore predefinito è 80, vale a dire che una traduzione viene accettata solo se è completa almeno per l'80%.

-w, --width
    Colonna alla quale si dovrebbe mandare a capo il file risultante se il formato lo supporta (valore predefinito: 76). Se il valore fornito è 0 o negativo, il file risultante non verrà mandato a capo. Utile con alcuni formati che potrebbero bloccarsi quando si va a capo.

-h, --help
    Mostra un breve messaggio di aiuto.

--help-format
    Elenca i formati di documento gestiti da po4a.

-V, --version
    Mostra la versione del programma ed esce.

-v, --verbose
    Rende il programma più prolisso.

-d, --debug
    Mostra delle informazioni di debug.

Aggiungere contenuti (oltre alle traduzioni) ai file generati
Per inserire dei contenuti aggiuntivi nel documento generato (come il nome del traduttore e altre informazioni sulla traduzione), usare l'opzione --addendum.

La prima riga dell'addendum deve contenere un header, che indica la posizione in cui va inserito (può essere prima o dopo una determinata parte del documento). Il resto del file viene copiato testualmente nel documento, senza ulteriori manipolazioni.

Osservare che, se po4a-translate non riesce ad aggiungere anche uno solo dei file specificati, la traduzione viene scartata completamente: il file mancante potrebbe contenere il nome del traduttore e questo impedirebbe agli utenti di contattarlo per segnalare errori nella traduzione).

L'header deve seguire una sintassi piuttosto rigida. Vedere anche la pagina di manuale po4a(7) per maggiori informazioni sull'uso degli addenda.

VEDERE ANCHE
po4a-gettextize(1), po4a-normalize(1), po4a-updatepo(1), po4a(7)

AUTORI
 Denis Barbier <barbier@linuxfr.org>
 Nicolas François <nicolas.francois@centraliens.net>
 Martin Quinson (mquinson#debian.org)

TRADUZIONE
 Danilo Piazzalunga <danilopiazza@libero.it>
 Marco Ciampa <ciampix@posteo.net>

COPYRIGHT E LICENZA
Copyright 2002-2023 by SPI, inc.

Questo programma è software libero; è lecito ridistribuirlo o modificarlo secondo i termini della licenza GPL v2.0 o successive (vedere il file COPYING).